import { useRef } from "react";

const SendMessage = () => {
  const inputRef = useRef();

  const handleSubmit = () => {
    console.log(inputRef.current.value);

    fetch("https://chat.pekkalammi.com/message", {
      method: "POST",
      headers: {
        Accept: "application/json",
        "Content-Type": "application/json",
      },
      body: JSON.stringify({
        user: "Pekka",
        text: inputRef.current.value,
      }),
    });

    inputRef.current.value = "";
  };

  return (
    <div className="sendMessage">
      <input ref={inputRef} placeholder="Type here"></input>
      <button onClick={() => handleSubmit()}>Submit</button>
    </div>
  );
};

export default SendMessage;
